/*
 * File         : QueryControl.java
 * Author       : Tomasz Stachowiak
 * Created      : Fri Jun 20 13:24:49 1997
 * Revision     : $Revision$
 * Updated      : $Date$
 * Copyright: Northeast Parallel Architectures Center
 *            at Syracuse University 1997
 */

import java.util.*;
import java.sql.*;

class QueryControl {

  NCSdatabase db;

  Vector sessions;

  public QueryControl(NCSdatabase database) {

    db = database;
    sessions = new Vector();

  }

  public void retrieveSessions(String name, String date, int active) {

    boolean first = true;
    String sql = "SELECT * FROM session ";

    if(name != null) {
      
      sql = sql + "WHERE name = '" + name + "' "; 
      first = false;
    }

    if(date != null) {
      
      if(first) {

	sql = sql + "WHERE curr_date = '" + date + "' ";
	first = false;
      }
      else
	sql = sql + "AND curr_date = '" + date + "' ";
    }

    if(active > 0) {
      
      if(first) {

	sql = sql + "WHERE active = " + active;
	first = false;
      }
      else
	sql = sql + "AND active = " + active;
    }

    System.out.println(sql);

    sessions.removeAllElements();

    try {

      ResultSet rs = db.querySQL(sql);

      while(rs.next()) {

	Session ses = new Session(db);
	ses.retrieve(rs);
	sessions.addElement(ses);
      }
    } catch (SQLException e) {

      System.out.println("QueryControl: " + e);
    }
  }

  public Vector getSessions() {

    return sessions;

  }
    

}
